Package com.xebialabs.deployit.plugin.api.udm

# Class BaseAppliedProvisioner

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployed<BaseProvisioner,BaseDeployed>
com.xebialabs.deployit.plugin.api.udm.BaseAppliedProvisioner

All Implemented Interfaces:
  `AppliedProvisioner<BaseProvisioner>`, `ConfigurationItem`, `EmbeddedDeployed<BaseProvisioner,BaseDeployed>`, `EmbeddedDeployedContainer<BaseProvisioner,BaseDeployed>`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, inspectable=false, root=NESTED) public class BaseAppliedProvisioner extends BaseEmbeddedDeployed<BaseProvisioner,BaseDeployed> implements AppliedProvisioner<BaseProvisioner>
The deployed counterpart of BaseProvisioner. Created when the BaseProvisioner is mapped to a container.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `CONTAINER_FIELD, DEPLOYABLE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseAppliedProvisioner()`

- ## Method Summary

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployed

  `getContainer, getDeployable, setContainer, setDeployable`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `getContainer, getDeployable, setContainer, setDeployable`

- ## Constructor Details

  - ### BaseAppliedProvisioner

    public BaseAppliedProvisioner()